package command

import (
	"fmt"
	"gitlab.schukai.com/oss/libraries/go/application/xflags"
	"gitlab.schukai.com/oss/utilities/documentation-manager/release"
)

type ReleasePrintCommand struct {
}

func (r *CommandsStruct) PrintReleaseInfo(s *xflags.Settings[CommandsStruct]) {
	fmt.Println("Mnemonic: ", release.GetMnemonic())
	fmt.Println("Version: ", release.GetVersion())
	fmt.Println("Build: ", release.GetBuild())
}
