// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package utils

import "net/url"

func IsUrl(str string) bool {
	u, err := url.Parse(str)
	return err == nil && u.Scheme != "" && u.Host != ""
}
